# gdcm::SimpleMemberCommand< T > Class Template Reference

Command subclass that calls a pointer to a member function. More...

`#include <gdcmCommand.h>`

Inheritance diagram for gdcm::SimpleMemberCommand< T >:
[legend]
Collaboration diagram for gdcm::SimpleMemberCommand< T >:
[legend]

List of all members.

## Public Types

typedef SimpleMemberCommand | Self
typedef void(T::* | TMemberFunctionPointer )()

## Public Member Functions

virtual void | Execute (Subject *, const Event &)
virtual void | Execute (const Subject *, const Event &)
void | SetCallbackFunction (T *object, TMemberFunctionPointer memberFunction)

## Static Public Member Functions

static SmartPointer < SimpleMemberCommand > | New ()

## Protected Member Functions

| SimpleMemberCommand ()
virtual | ~SimpleMemberCommand ()

## Protected Attributes

TMemberFunctionPointer | m_MemberFunction
T * | m_This

## Detailed Description

### template<typename T>
class gdcm::SimpleMemberCommand< T >

Command subclass that calls a pointer to a member function.

SimpleMemberCommand calls a pointer to a member function with no arguments.

## Member Typedef Documentation

template<typename T >

typedef SimpleMemberCommand gdcm::SimpleMemberCommand< T >::Self

Standard class typedefs.

template<typename T >

typedef void(T::* gdcm::SimpleMemberCommand< T >::TMemberFunctionPointer)()

A method callback.

## Constructor & Destructor Documentation

template<typename T >

gdcm::SimpleMemberCommand< T >::SimpleMemberCommand | ( |  | ) | `[inline, protected]`

Referenced by gdcm::SimpleMemberCommand< T >::New().

template<typename T >

virtual gdcm::SimpleMemberCommand< T >::~SimpleMemberCommand | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

template<typename T >

virtual void gdcm::SimpleMemberCommand< T >::Execute | ( | Subject * | ,
|  | const Event & |
| ) |  | `[inline, virtual]`

Invoke the callback function.

Implements gdcm::Command.

References gdcm::SimpleMemberCommand< T >::m_MemberFunction.

template<typename T >

virtual void gdcm::SimpleMemberCommand< T >::Execute | ( | const Subject * | caller,
|  | const Event & | event
| ) |  | `[inline, virtual]`

Abstract method that defines the action to be taken by the command. This variant is expected to be used when requests comes from a const Object

Implements gdcm::Command.

References gdcm::SimpleMemberCommand< T >::m_MemberFunction.

template<typename T >

static SmartPointer<SimpleMemberCommand> gdcm::SimpleMemberCommand< T >::New | ( |  | ) | `[inline, static]`

Run-time type information (and related methods). Method for creation through the object factory.

References gdcm::SimpleMemberCommand< T >::SimpleMemberCommand().

template<typename T >

void gdcm::SimpleMemberCommand< T >::SetCallbackFunction | ( | T * | object,
|  | TMemberFunctionPointer | memberFunction
| ) |  | `[inline]`

Specify the callback function.

References gdcm::SimpleMemberCommand< T >::m_MemberFunction, and gdcm::SimpleMemberCommand< T >::m_This.

## Member Data Documentation

template<typename T >

TMemberFunctionPointer gdcm::SimpleMemberCommand< T >::m_MemberFunction `[protected]`

Referenced by gdcm::SimpleMemberCommand< T >::Execute(), and gdcm::SimpleMemberCommand< T >::SetCallbackFunction().

template<typename T >

T* gdcm::SimpleMemberCommand< T >::m_This `[protected]`

Referenced by gdcm::SimpleMemberCommand< T >::SetCallbackFunction().

The documentation for this class was generated from the following file:

- gdcmCommand.h